<?php
/*
* date last modified 03-10-2017
* Edited by PI-Digi Logical Solutions
* HTML Files - manage_staff.html.php
* Mysql Tables - tbl_admin, tbl_product_categories, tbl_admin_type
*/
require_once('./classes/class.noseo_pagination.php'); # pagination class
require_once('./includes/functions.php'); # general functions

if(isset($_REQUEST['p']) && $_REQUEST['p']!=''){
	$p = trim($_REQUEST['p']);
} else {
	$p = 1;
}

if(isset($_GET['action']) && $_GET['action'] == 'delete') {
	/* Delete User */
	if(isset($_GET['del_id']) && $_GET['del_id']!=''){
		$delete = mysqli_query($con,'DELETE FROM tbl_product_categories WHERE id='.$_GET['del_id']);
		if($delete) {
			$success = 'Deleted the category';
			?>
	        <script language="javascript" type="text/javascript">			
				window.location='index.php?page=<?php echo $page;?>&success=<?php echo $success; ?>&p=<?php echo $p; ?>';
			</script>
	        <?php
		}
	}
}

$pageVars = '';

// Get All User details to list 
$where = ' id>0 ';

/*if(isset($_POST['search'])) {
	if(isset($_POST['user_type']) && strlen($_POST['user_type'])>0) {
		$where .= ' AND role='.$_POST['user_type'];
		$userType = $_POST['user_type'];
	}
	
	if(isset($_POST['keyword']) && strlen($_POST['keyword'])>0) {
		$keyword = trim($_POST['keyword']);
		$where.= " AND (ad_username LIKE '%".$keyword."%' OR first_name LIKE '%".$keyword."%') ";
	}	
}*/

$select = "SELECT * FROM tbl_product_categories WHERE parent_id = '0' ORDER BY name";
//echo $select;
// Using pagination class
$pagination = new pagination_noseo($select);
$execDetails = $pagination->createPages(500);

$pageLnk = 'index.php?page='.$page.'&'.$pageVars;
$pageNums = $pagination->pageNumber(5, $pageLnk);
?>